import sys

sys.path.insert(0, '/motadata/motadata/motadata python engine')

from com.motadata.util.loggerutil import TraceOrgLogger
from com.motadata.util.configutil import TraceOrgConfigUtil

_logger = TraceOrgLogger("Ping Metric Collector")

def collect(context):

    metrics = {}

    host = ""

    if context and context.get('plugin-context'):

        plugin_context = context.get("plugin-context")

        try:
            if plugin_context.get('host'):

                if plugin_context.get('host'):

                    _logger.debug("metric collection request:" + plugin_context.get("host"))

                    host = str(plugin_context.get('host'))

                    return TraceOrgConfigUtil.get_ping_details(host,int(context.get('monitor_id')))
            else:
                metrics['error-code'] = 'No valid host found {}'.format(host)

        except Exception as exception:

            _logger.warn("failed to collect ping metric " + host)

            metrics['error-code'] = exception.__class__.__name__

    return metrics

